Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.support.action
Interface SoapUIAction<T extends ModelItem>

All Superinterfaces:
  PropertyChangeNotifier

All Known Implementing Classes:
  AbstractAddToTestCaseAction, AbstractSoapUIAction, AbstractToolsAction, AddEndpointToInterfaceAction, AddInterfaceActionFromFile, AddInterfaceActionFromURL, AddNewLoadTestAction, AddNewMockOperationAction, AddNewMockServiceAction, AddNewTestCaseAction, AddNewTestSuiteAction, AddOperationToMockServiceAction, AddRequestToMockServiceAction, AddRequestToTestCaseAction, AddWsdlTestStepAction, Axis1XWSDL2JavaAction, Axis2WSDL2CodeAction, ChangeOperationAction, ClearTestCaseAction, CloneAssertionAction, CloneInterfaceAction, CloneLoadTestAction, CloneMockResponseAction, CloneMockServiceAction, CloneRequestAction, CloneTestCaseAction, CloneTestStepAction, CloneTestSuiteAction, ConfigureAssertionAction, DeleteAssertionAction, DeleteLoadTestAction, DeleteMockOperationAction, DeleteMockResponseAction, DeleteMockServiceAction, DeleteRequestAction, DeleteTestCaseAction, DeleteTestStepAction, DeleteTestSuiteAction, DotNetWsdlAction, ExportDefinitionAction, GenerateMockServiceAction, GenerateTestSuiteAction, GSoapAction, ImportWsdlProjectAction, InsertWsdlTestStepAction, InterfaceEndpointsAction, JaxbXjcAction, JBossWSConsumeAction, MockServiceOptionsAction, MoveTestCaseDownAction, MoveTestCaseUpAction, MoveTestStepDownAction, MoveTestStepUpAction, NewMockResponseAction, NewRequestAction, NewWorkspaceAction, NewWsdlProjectAction, OpenRequestForMockOperationAction, OpenRequestForMockResponseAction, OracleWsaGenProxyAction, RelabelOperationAction, ReloadProjectAction, RemoveInterfaceAction, RemoveProjectAction, RenameAssertionAction, RenameLoadTestAction, RenameMockOperationAction, RenameMockResponseAction, RenameMockServiceAction, RenameProjectAction, RenameRequestAction, RenameTestCaseAction, RenameTestStepAction, RenameTestSuiteAction, RenameWorkspaceAction, SaveAllProjectsAction, SaveProjectAction, SaveProjectAsAction, SelectOperationAction, SetWaitTimeAction, ShowDesktopPanelAction, ShowOnlineSoapUIHelp, SoapUIActionRegistry.SeperatorAction, SoapUIActionRegistry.SoapUIActionGroupAction, SwitchWorkspaceAction, TcpMonAction, TestCaseOptionsAction, ToggleDisableTestStepAction, UpdateInterfaceAction, WSCompileAction, WSIAnalyzeAction, WSImportAction, WSIValidateRequestAction, WSIValidateResponseAction, WSToolsJava2WsdlAction, WSToolsRegenerateJava2WsdlAction, WSToolsWsdl2JavaAction, XFireAction, XmlBeans2Action

    public interface SoapUIAction<T extends ModelItem>

extends PropertyChangeNotifier

An action for a ModelItem

Author:
  ole.matzura

Field Summary
`static java.lang.String` | `ENABLED_PROPERTY`

Method Summary
`boolean` | `applies(T target)`
`java.lang.String` | `getDescription()`
`java.lang.String` | `getName()`
`boolean` | `isDefault()`
`boolean` | `isEnabled()`
`void` | `perform(T target, java.lang.Object param)`

Methods inherited from interface com.eviware.soapui.support.PropertyChangeNotifier
`addPropertyChangeListener, addPropertyChangeListener, removePropertyChangeListener, removePropertyChangeListener`

Field Detail

### ENABLED_PROPERTY

    static final java.lang.String ENABLED_PROPERTY

Method Detail

### perform

    void perform(T target,
                 java.lang.Object param)

### getName

    java.lang.String getName()

### getDescription

    java.lang.String getDescription()

### isEnabled

    boolean isEnabled()

### isDefault

    boolean isDefault()

### applies

    boolean applies(T target)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.